> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/tr/api-dokumanlari/geopard-api-requests-overview/56.-upload-photos.md).

# 56. Fotoğrafları yükle

S3 üzerinden fotoğraf yükleme 2 adımdan oluşur:

1. **Doğrudan yükleme için önceden imzalanmış bağlantıyı isteyin.**

Girdi olarak:

* fileExtention - jpeg VEYA jpg VEYA png,
* farmUuid - çiftliğin UUID'si,
* fieldUuid - tarlanın UUID'si,
* noteUuid - yüklenen fotoğrafın doğrudan bağlantısı için notun UUID'si,
* commentUuid - yüklenen fotoğrafın doğrudan bağlantısı için yorumun UUID'si (isteğe bağlı).

Çıktı olarak:

* uuid - yükleme ve işleme sonrasında beklenen UUID,
* farmUuid - girdiyle aynı,
* fieldUuid - girdiyle aynı,
* noteUuid - girdiyle aynı,
* commentUuid - girdiyle aynı (varsa),
* s3Url - fotoğrafı yüklemek için kullanılan URL,
* s3Fields - fotoğraf yükleme formunda gönderilecek öznitelikler.

s3Url ve s3Fields öğelerinin nasıl kullanılacağı ikinci adımda açıklanmıştır.

Fotoğraf yükleme öznitelikleri yalnızca 60 dakika boyunca geçerlidir.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation generatePresignedPostPhotoData {
  generatePresignedPostPhotoData(input:{
    farmUuid: "89196056-61e5-4bce-b676-d488d611a829" 
    fieldUuid: "586a2ef2-03e4-4715-846c-07a2f0cb3016"
    noteUuid: "4a94da1c-f655-4f17-961a-4b0323e5129c"
    fileExtention: jpeg
    
  } ) {
    uuid
    noteUuid
    fieldUuid
    farmUuid
    s3Url
    s3Fields
  }
}
```

{% endcode %}

2. **Yerel bir fotoğrafı, s3Fields içindeki önceden tanımlanmış form öznitelikleriyle s3Url adresine gönderin.**

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST '<s3Url>' \
--form 'key="<value_in_s3Fields>"' \
--form 'AWSAccessKeyId="<value_in_s3Fields>"' \
--form 'x-amz-security-token="<value_in_s3Fields>"' \
--form 'policy="<value_in_s3Fields>"' \
--form 'signature="<value_in_s3Fields>"' \
--form 'file=@"<local_file_path>"'
```

{% endcode %}

İşleme hakkındaki bildirimler, GraphQL -> Samples -> bölümünde açıklanan abonelik mekanizması üzerinden iletilir. [1. Subscription: Etkinlikleri alma](https://docs.geopard.tech/geopard-tutorials/tr/api-dokumanlari/geopard-api-requests-overview/1.-subscription-get-events.md).

{% hint style="info" %}
‘Accept-Encoding’:’gzip, deflate, br’ kullanın.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/tr/api-dokumanlari/geopard-api-requests-overview/56.-upload-photos.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
